Internal site. Jolli authentication required to view.
Skip to Content
API ReferenceMetrics & DebuggingGET /v0/pipelines/{pipeline_name}/circuit_profile

Get Performance Profile

GET/v0/pipelines/{pipeline_name}/circuit_profileMetrics & Debugging

Try it

GET/v0/pipelines/{pipeline_name}/circuit_profile
Authentication
Parameters

Retrieve the circuit performance profile of a running or paused pipeline.

Authentication

  • JSON web token (JWT) or API keyBearer token

Parameters

Path parameters

NameTypeRequiredDescription
pipeline_namestringYesUnique pipeline name

Response

200Circuit performance profileapplication/zip
  • object
404Pipeline with that name does not existapplication/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
500application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
503application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
Request
curl -X GET 'https://api.example.com/v0/pipelines/{pipeline_name}/circuit_profile' \ -H 'Authorization: Bearer YOUR_TOKEN'
Response
{}